<?php 
include "scrinit.php";
$menu = $_SESSION['menu'];
include $menu;
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<script type="text/javascript">

    function do_this(){

        var checkboxes = document.getElementsByName('smsx[]');
        var button = document.getElementById('toggle');

        if(button.value == 'Επιλογή Όλων'){
            for (var i in checkboxes){
                checkboxes[i].checked = 'FALSE';
            }
            button.value = 'Αποεπιλογή Όλων'
        }else{
            for (var i in checkboxes){
                checkboxes[i].checked = '';
            }
            button.value = 'Επιλογή Όλων';
        }
    }
</script>
</head>
<style type="text/css">
table.myTable { border-collapse:collapse; }
table.myTable td, table.myTable th { border:1px solid green;padding:2px;font-size:10pt; }
<p style="font-size:10px;"></p>
</style>
<title>SMS Καθηγητών για διάφορα</title>

<?php 

require("dbconnect.php");
$usr=$_SESSION['usr'];
$access=$_SESSION['access'];
$dt=$_SESSION['dt'];
$dtc= date('d-m-Y', strtotime($dt));
if ($access < 2 ) 
 { echo " *** ΜΗ ΔΙΑΘΕΣΙΜΕΣ ΑΝΑΦΟΡΕΣ *** ";}
else
 {
?>
<h4>  ΑΠΟΣΤΟΛΗ ΜΗΝΥΜΑΤΟΣ </h4>

<div style="overflow:scroll; border:1px solid black;background:#F5F9F0;width:550px; height: 500px">
<p>
<?php 
 $sms=" ";
 echo "MHNYMA :"."<br >";; 
 echo "<textarea name='sms' cols='100' rows='4'> $sms </textarea >"."<br >";
?>
</p>

<h4> ΕΠΕΛΕΞΕ ΤΑΞΗ ΓΙΑ ΑΠΟΣΤΟΛΗ ΜΗΝΥΜΑΤΟΣ</h4>
<form  method='post' ">
<input type="checkbox" name="taxi1[]" value="Α" />Α ΤΑΞΗ<br />
<input type="checkbox" name="taxi1[]" value="Β" />Β ΤΑΞΗ<br />
<input type="checkbox" name="taxi1[]" value="Γ" />Γ ΤΑΞΗ<br />
<br>
<input type="submit" name="epiltaxi" value="Επιλογή και Συνέχεια">
</form>
<br>

<?php
if (isset($_POST['epiltaxi']))
{
	
 $tax = $_POST['taxi1'];
  if(empty($tax)) 
  {
    echo("Δεν έχετε επιλέξει τάξη");
  } 
  else 
  {
    $n = count($tax);
    for($i=0; $i < $n; $i++)
    {
      $x=$x.' tmima like '."'".$tax[$i].'%'."'";
	  $x=$x.' or ';
    }
  }	
  $x=substr($x, 0, -3);

$result = mysqli_query($con,"SELECT tmima,mitroo,eponimo,onoma,kmathiti FROM allstudentinfo  where".$x. "ORDER BY tmima,eponimo,onoma");

echo "<table style='width:500px' class='myTable' >
<tr style='border:1px solid black' bgcolor='#adcd82'  >
<th>ΤΜΗΜΑ</th>
<th>ΜΗΤΡΩΟ</th>
<th>ΜΑΘΗΤΗΣ/ΜΑΘΗΤΡΙΑ</th>
<th> </th>
<th>ΜΗΝΥΜΑ</th>
</tr>";
$i=1;
while ($row = mysqli_fetch_array($result)) 
  { 
    $name=$row['eponimo']." ".$row['onoma'];
	$mitroo=$row['mitroo'];
	$tmima=$row['tmima'];
	$tel = $row['kmathiti'];	
	echo "<tr>";
	echo "<td>".$tmima."</td>";
	echo "<td>".$mitroo."</td>";
	echo "<td>".$name."</td>";
	echo "<td>"." "."</td>";
    echo "<td ALIGN=center>"."<input type='checkbox' name='smsx[]' value='$tel' checked>"."</td>";
	echo "</tr>";
    $i++;
}
echo "</table>";
?>
</div>

<input type="submit" name="sendsms" value="Επιβεβαίωση Επιλογών" >
</form>
<?php
if (isset($_POST['sendsms']))
{
	$_SESSION['tel']=$_POST['smsx'];
	$_SESSION['sms1']=trim($_POST['sms']);
	echo "<br>";
	print_r($_POST['sms']);
	echo " {Έτοιμότητα αποστολής}";

	//include "smssecret.php";
}	
}
 }
?>
<br /><br />
<a  href=<?php echo $menu;?> style="color:blue "  > <button> Επιστροφή στο Μενού  </a>
</body>
</html>